This project is a branch of [scipy](https://pypi.org/project/scipy/) on [QPython](https://www.qpython.org).

SciPy (pronounced "Sigh Pie") is an open-source software for mathematics, science, and engineering. It includes modules for statistics, optimization, integration, linear algebra, Fourier transforms, signal and image processing, ODE solvers, and more.

* **Website:** [https://scipy.org](https://scipy.org)
* **Documentation:** [https://docs.scipy.org/doc/scipy/](https://docs.scipy.org/doc/scipy/)
* **Development version of the documentation:** [https://scipy.github.io/devdocs](https://scipy.github.io/devdocs)
* **SciPy development forum:** [https://discuss.scientific-python.org/c/contributor/scipy](https://discuss.scientific-python.org/c/contributor/scipy)
* **Stack Overflow:** [https://stackoverflow.com/questions/tagged/scipy](https://stackoverflow.com/questions/tagged/scipy)
* **Source code:** [https://github.com/scipy/scipy](https://github.com/scipy/scipy)
* **Contributing:** [https://scipy.github.io/devdocs/dev/index.html](https://scipy.github.io/devdocs/dev/index.html)
* **Bug reports:** [https://github.com/scipy/scipy/issues](https://github.com/scipy/scipy/issues)
* **Code of Conduct:** [https://docs.scipy.org/doc/scipy/dev/conduct/code_of_conduct.html](https://docs.scipy.org/doc/scipy/dev/conduct/code_of_conduct.html)
* **Report a security vulnerability:** [https://tidelift.com/docs/security](https://tidelift.com/docs/security)
* **Citing in your work:** [https://www.scipy.org/citing-scipy/](https://www.scipy.org/citing-scipy/)

SciPy is built to work with NumPy arrays, and provides many user-friendly and efficient numerical routines, such as routines for numerical integration and optimization. Together, they run on all popular operating systems, are quick to install, and are free of charge. NumPy and SciPy are easy to use, but powerful enough to be depended upon by some of the world's leading scientists and engineers. If you need to manipulate numbers on a computer and display or publish the results, give SciPy a try!

For the installation instructions, see [our install guide](https://scipy.org/install/).

---

### Call for Contributions

We appreciate and welcome contributions. Small improvements or fixes are always appreciated; issues labeled as "good first issue" may be a good starting point. Have a look at [our contributing guide](https://scipy.github.io/devdocs/dev/index.html).

Writing code isn’t the only way to contribute to SciPy. You can also:

* review pull requests
* triage issues
* develop tutorials, presentations, and other educational materials
* maintain and improve [our website](https://github.com/scipy/scipy.org)
* develop graphic design for our brand assets and promotional materials
* help with outreach and onboard new contributors
* write grant proposals and help with other fundraising efforts

If you’re unsure where to start or how your skills fit in, reach out! You can ask on the [forum](https://discuss.scientific-python.org/c/contributor/scipy) or here, on GitHub, by leaving a comment on a relevant issue that is already open.

If you are new to contributing to open source, [this guide](https://opensource.guide/how-to-contribute/) helps explain why, what, and how to get involved.